Bug 396731 - Review Request: powerpc-utils - Utilities for PowerPC platforms
Review Request: powerpc-utils - Utilities for PowerPC platforms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 08:33 EST by David Woodhouse
Modified: 2008-10-11 10:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 10:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)
Pass CFLAGS on link (382 bytes, patch)
2007-11-27 15:17 EST, Josh Boyer
no flags Details | Diff

  None (edit)
Description David Woodhouse 2007-11-23 08:33:44 EST
Spec URL: http://david.woodhou.se/ppc64-utils/powerpc-utils.spec
SRPM URL: http://david.woodhou.se/ppc64-utils/powerpc-utils-1.0.6-1.fc9.src.rpm
Description: Utilities for PowerPC platforms

We used to ship this as part of the ppc64-utils package. That package should die, because it's a mess.
Comment 1 Josh Boyer 2007-11-27 15:17:00 EST
Created attachment 270171 [details]
Pass CFLAGS on link

Without the attached patch, I get the following build error on ppc64:

Building cmds files...
CC cmds/nvram.o
LD cmds/nvram
/usr/bin/ld: powerpc:common64 architecture of input file `nvram.o' is
incompatible with powerpc:common output
nvram.o: In function `help':
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:79: relocation
truncated to fit: R_PPC64_REL24 against `puts'
nvram.o: In function `nvram_find_partition':
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:726: relocation
truncated to fit: R_PPC64_REL24 against `printf'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:733: relocation
truncated to fit: R_PPC64_REL24 against `strncmp'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:718: relocation
truncated to fit: R_PPC64_REL24 against `puts'
nvram.o: In function `print_of_config_part':
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:1211: relocation
truncated to fit: R_PPC64_REL24 against `printf'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:1213: relocation
truncated to fit: R_PPC64_REL24 against `putchar'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:1212: relocation
truncated to fit: R_PPC64_REL24 against `strlen'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:1214: relocation
truncated to fit: R_PPC64_REL24 against `putchar'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:1217: relocation
truncated to fit: R_PPC64_REL24 against `puts'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:1218: relocation
truncated to fit: R_PPC64_REL24 against `strlen'
/home/jwboyer/rpm/BUILD/powerpc-utils-1.0.6/cmds/nvram.c:1221: additional
relocation overflows omitted from the output
collect2: ld returned 1 exit status
make[1]: *** [nvram] Error 1
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.81211 (%build)
Comment 2 David Woodhouse 2007-11-27 15:23:57 EST
It should build fine in mock, I believe. We default to -m64 there.

This is just one of the many reasons why shipping all the -devel packages for
the secondary arch is nonsense. It simply doesn't work.
Comment 3 Josh Boyer 2007-11-27 16:03:47 EST
Yes, it builds in mock.  Ignore.
Comment 4 Josh Boyer 2007-11-27 16:44:59 EST
 - Package meets naming and packaging guidelines
 - Spec file matches base package name.
 - Spec has consistant macro usage.
 - Meets Packaging Guidelines.
 - License
 - License field in spec matches
 - License file included in package
 - Spec in American English
 - Spec is legible.
 - Sources match upstream md5sum: 33de4697b9dc36be070ae67d545fd4fe

 - BuildRequires correct
 - Package has %defattr and permissions on files is good.
 - Package has a correct %clean section.
 - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content.
 - Packages %doc files don't affect runtime.

 - Package compiles and builds on at least one arch.
 - Package has no duplicate files in %files.
 - Package doesn't own any directories other packages own.
 - Package owns all the directories it creates.
 - No rpmlint output.

SHOULD Items:

 - Should build in mock.
 - Should build on all supported archs
 - Should function as described.
 - Should have sane scriptlets.
 - Should have subpackages require base package with fully versioned depend.
 - Should have dist tag
 - Should package latest version

Approved.
Comment 5 David Woodhouse 2007-11-27 20:31:13 EST
New Package CVS Request
=======================
Package Name: powerpc-utils
Short Description: Utilities for PowerPC platforms
Owners: dwmw2
Branches: F-8
Cvsextras Commits: yes
Comment 6 Brian Pepple 2008-05-25 16:54:20 EDT
David, has this package been built?  If so, this bug can be closed.
Comment 7 Peter Robinson 2008-10-11 10:38:53 EDT
Closing - in rawhide

Note You need to log in before you can comment on or make changes to this bug.